group "CurrencyAndDeterminationMethod.model"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | 3 elements
Defined: | globally in fpml-eq-shared-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

Complex Content Model
currency? | determinationMethod? | currencyReference?

Content Model Elements (3):

  currency (defined in CurrencyAndDeterminationMethod.model group),
  currencyReference,
  determinationMethod (defined in CurrencyAndDeterminationMethod.model group)

Known Usage Locations

- In definitions of global complexTypes (1):
  LegAmount

Annotation
A group containing return swap amount currency definition methods
XML Source (w/o annotations (4); see within schema source)

<xsd:group name="CurrencyAndDeterminationMethod.model"> <xsd:choice> <xsd:element minOccurs="0" name="currency" type="IdentifiedCurrency"/> <xsd:element minOccurs="0" name="determinationMethod" type="DeterminationMethod"/> <xsd:element minOccurs="0" name="currencyReference" type="IdentifiedCurrencyReference"/> </xsd:choice> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 3/3)
currency

  Type: | IdentifiedCurrency, simple content

  The currency in which an amount is denominated.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="currency" type="IdentifiedCurrency"/>

currencyReference

  Type: | IdentifiedCurrencyReference, empty content

  Reference to a currency defined elsewhere in the document
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="currencyReference" type="IdentifiedCurrencyReference"/>

determinationMethod

  Type: | DeterminationMethod, simple content

  Specifies the method according to which an amount or a date is determined.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="determinationMethod" type="DeterminationMethod"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.